<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware) {
        $middleware->alias([            
            'empleado' => \App\Http\Middleware\isEmpleado::class,
            'empresa' => \App\Http\Middleware\isEmpresaAdmin::class, 
            'operador' => \App\Http\Middleware\isOperador::class,            
            'seguridad' => \App\Http\Middleware\isSeguridad::class, 
            'superadmin' => \App\Http\Middleware\IsSuperAdmin::class,
            'usuariofinal' => \App\Http\Middleware\isUsuarioFinal::class,          
             'role' => \App\Http\Middleware\RoleMiddleware::class,
            //App\Http\Middleware\HandleSessionExpired::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
